aboutsummaryrefslogtreecommitdiffstats
path: root/x11/gst-plugins-ffmpeg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-14 19:47:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-14 19:47:45 +0000
commit41c750b027d5850da940e3a477cc258487a2a563 (patch)
tree63d56b6f14e29568095cd1e96a76e2e94afaba6c /x11/gst-plugins-ffmpeg/APKBUILD
parent01a91d544ba4590bff908daabb06406a762f24a2 (diff)
downloadaports-41c750b027d5850da940e3a477cc258487a2a563.tar.gz
aports-41c750b027d5850da940e3a477cc258487a2a563.tar.bz2
aports-41c750b027d5850da940e3a477cc258487a2a563.tar.xz
x11/gst-plugins-ffmpeg: new aport
Gstreamer FFMpeg Plugin http://www.gstreamer.net
Diffstat (limited to 'x11/gst-plugins-ffmpeg/APKBUILD')
-rw-r--r--x11/gst-plugins-ffmpeg/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/x11/gst-plugins-ffmpeg/APKBUILD b/x11/gst-plugins-ffmpeg/APKBUILD
new file mode 100644
index 0000000000..1949f16cbc
--- /dev/null
+++ b/x11/gst-plugins-ffmpeg/APKBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-ffmpeg
+pkgver=0.10.7
+pkgrel=0
+pkgdesc="Gstreamer FFMpeg Plugin"
+url="http://www.gstreamer.net"
+license="GPL"
+makedepends="gstreamer-dev gst-plugins-base-dev liboil-dev ffmpeg-dev"
+source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/gst-ffmpeg-$pkgver
+ sed -i \
+ -e 's,ffmpeg/avformat.h,libavformat/avformat.h,' \
+ -e 's,ffmpeg/avcodec.h,libavcodec/avcodec.h,' \
+ -e 's,ffmpeg/swscale.h,libswscale/swscale.h,' \
+ ext/ffmpeg/gst* \
+ ext/libpostproc/gstpostproc.c \
+ || return 1
+
+ export CFLAGS="$CFLAGS -fno-strict-aliasing"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-system-ffmpeg \
+ --localstatedir=/var || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/gstreamer-0.10/*.{l,}a
+}
+
+md5sums="6be89b26592f36ef631b22a68b8e06c4 gst-ffmpeg-0.10.7.tar.bz2"